using System;
using System.Collections.Generic;

namespace VCommon.VAutoMapper
{
    [AttributeUsage(AttributeTargets.Property)]
    public sealed class AutoMapJsonConvertAttribute : Attribute
    {
        internal IReadOnlyList<Type> Converters { get; }

        public AutoMapJsonConvertAttribute(params Type[] converters)
        {
            Converters = converters;
        }
    }
}
